Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.loader
Interface Loader

All Superinterfaces
  javax.ejb.EJBObject, Remote

    public interface Loader

extends javax.ejb.EJBObject

Loads folders (Hierarchy Nodes) and files (Content Nodes) into a content repository, specified in the properties passed in, using the content manager.

Field Summary
`static String` | `LIFECYCLE_STATUS_KEY` Deprecated use `WORKFLOW_STATUS_KEY`
`static String` | `SCHEMA_KEY` The schema key for the md.properties.
`static String` | `WORKFLOW_STATUS_KEY` The Workflow status key for the md.properties.

Method Summary
`void` | `delete(String path)` Deletes the hiearchy at the given path.
`IRepositoryConfig` | `getRepositoryConfig()` Retrieves the named repository config for use during bulk loading.
`void` | `loadDirectory(String path)` Loads the given path as a Hierarchy Node.
`void` | `loadFile(String path, BinaryValue binaryValue, byte[] bytes, Properties properties)` Loads the the given metadata and binary as a Content Node.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Field Detail

### SCHEMA_KEY

    static final String SCHEMA_KEY

  The schema key for the md.properties.

  See Also
    Constants Summary

### LIFECYCLE_STATUS_KEY

    @Deprecated
    static final String LIFECYCLE_STATUS_KEY

  Deprecated use `WORKFLOW_STATUS_KEY`
  The LifeCycle status key for the md.properties. For Library Services enabled repsoitories, this is the status the content will be loaded in. Valid values for the md.properties are
  - 1 = DRAFT
  - 2 = READY
  - 4 = PUBLISHED
  - 5 = RETIRED

    See Also
      Constants Summary

### WORKFLOW_STATUS_KEY

    static final String WORKFLOW_STATUS_KEY

  The Workflow status key for the md.properties. For Library Services enabled repsoitories, this is the status the content will be loaded in.

  See Also
    Constants Summary

Method Detail

### loadFile

    void loadFile(String path,
                  BinaryValue binaryValue,
                  byte[] bytes,
                  Properties properties)
                  throws RemoteException

  Loads the the given metadata and binary as a Content Node.

  Parameters
    `path` - - the full path for the the Content Node to load, including the repository name as the first element in the path.
    `binaryValue` - - the actual "content" to load. This get loaded in the Primary Property if one exists, if not it will be loaded in the first Binary Property found for the Node. This value does not include the InputStream, the bytes are passed as an additional parameter.
    `bytes` - - the bytes to add to the binaryValue as an InputStream.
    `properties` - - the meta-data for the binary to load.
  Throws
    `RemoteException` - - if an error occurs.

### loadDirectory

    void loadDirectory(String path)
                       throws RemoteException

  Loads the given path as a Hierarchy Node.

  Parameters
    `path` - - the path where to create the Node, including the repository name as the first element in the path.
  Throws
    `RemoteException` - - if an error occurs.

### delete

    void delete(String path)
                throws RemoteException

  Deletes the hiearchy at the given path.

  Parameters
    `path` - - the hierarchy to delete.
  Throws
    `RemoteException` - - if an error occurs.

### getRepositoryConfig

    IRepositoryConfig getRepositoryConfig()
                                          throws RemoteException

  Retrieves the named repository config for use during bulk loading.

  Returns
    The config for the repository which this bean was created for.
  Throws
    `RemoteException` - - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.